KKeyServer::Key struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KKeyServer::Key Struct Reference

Represents a key press. More...

`#include <kkeyserver_x11.h>`

List of all members.

## Public Types
enum | { CODE_FOR_QT = 256 }
| Code for native Keys in Qt. More...
## Public Member Functions
bool | init (const KKey &key, bool bQt)
| Initializes the key with a KKey.
bool | isNative () const
| Checks whether the key code is a native code.
uint | code () const
| Returns the code of the key.
uint | mod () const
| Returns the modifiers of the key.
uint | sym () const
| Returns the symbol of the key.
int | keyCodeQt () const
| Returns the qt key code.
void | setKeycodeQt (int keyQt)
| Sets the qt key code.
Key & | operator= (const KKeyNative &key)
| Initializes this key with a KKeyNative.
int | compare (const Key &key) const
| Compares this key with the given Key object.
bool | operator== (const Key &b) const
| Compares the symbol, modifiers and code of both keys.
bool | operator< (const Key &b) const
| Compares the symbol, modifiers and code of both keys.
KKey | key () const
| Converts this Key to a KKey.
## Public Attributes
uint | m_code
| The code of the key.
uint | m_mod
| The modifiers of the key.
uint | m_sym
| The symbol of the key.

## Detailed Description

Represents a key press.

See also:
  KKey

Definition at line 117 of file kkeyserver_x11.h.

## Member Enumeration Documentation

anonymous enum

| Code for native Keys in Qt. Definition at line 120 of file kkeyserver_x11.h.

## Member Function Documentation

bool KKeyServer::Key::init | ( | const KKey & | key,
|  | bool | bQt
| ) |

  | Initializes the key with a KKey. Parameters:
  key | the key to get the data from
  bQt | true to take the Qt keycode, false for the native key code
See also: Qt::Key KKeyNative

bool KKeyServer::Key::isNative | ( |  | ) | const`[inline]`

| Checks whether the key code is a native code. Returns: true if native code of the window system, false if it is a Qt keycode See also: Qt::Key KKeyNative Definition at line 148 of file kkeyserver_x11.h. References m_code.

uint KKeyServer::Key::code | ( |  | ) | const`[inline]`

| Returns the code of the key. Returns: the code of the key Definition at line 154 of file kkeyserver_x11.h. References m_code.

uint KKeyServer::Key::mod | ( |  | ) | const`[inline]`

| Returns the modifiers of the key. Returns: the modifiers of the key Definition at line 160 of file kkeyserver_x11.h. References m_mod.

uint KKeyServer::Key::sym | ( |  | ) | const`[inline]`

| Returns the symbol of the key. Returns: the symbol of the key Definition at line 166 of file kkeyserver_x11.h. References m_sym.

int KKeyServer::Key::keyCodeQt | ( |  | ) | const`[inline]`

| Returns the qt key code. Returns: the qt key code Definition at line 172 of file kkeyserver_x11.h. References m_sym.

void KKeyServer::Key::setKeycodeQt | ( | int | keyQt | ) | `[inline]`

  | Sets the qt key code. Parameters:
  keyQt | the qt key code
Definition at line 178 of file kkeyserver_x11.h. References m_code, and m_sym.

Key& KKeyServer::Key::operator= | ( | const KKeyNative & | key | ) |

| Initializes this key with a KKeyNative. Returns: this key

int KKeyServer::Key::compare | ( | const Key & | key | ) | const

  | Compares this key with the given Key object. Returns a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger. The returned value is the difference between the symbol, modifier or code, whatever is non-zero first. Parameters:
  key | the key to compare with this key
Returns: a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger Referenced by operator<(), and operator==().

bool KKeyServer::Key::operator== | ( | const Key & | b | ) | const`[inline]`

| Compares the symbol, modifiers and code of both keys. See also: compare() Definition at line 204 of file kkeyserver_x11.h. References compare().

bool KKeyServer::Key::operator< | ( | const Key & | b | ) | const`[inline]`

| Compares the symbol, modifiers and code of both keys. See also: compare() Definition at line 211 of file kkeyserver_x11.h. References compare().

KKey KKeyServer::Key::key | ( |  | ) | const

| Converts this Key to a KKey. Returns: the KKey

## Member Data Documentation

uint KKeyServer::Key::m_code

| The code of the key. Definition at line 123 of file kkeyserver_x11.h. Referenced by code(), isNative(), and setKeycodeQt().

uint KKeyServer::Key::m_mod

| The modifiers of the key. Definition at line 126 of file kkeyserver_x11.h. Referenced by mod().

uint KKeyServer::Key::m_sym

| The symbol of the key. Definition at line 129 of file kkeyserver_x11.h. Referenced by keyCodeQt(), setKeycodeQt(), and sym().

The documentation for this struct was generated from the following file:

- kkeyserver_x11.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001